<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_242-release) on Sun May 23 22:06:32 CEST 2021 -->
<title>DeliveryMode</title>
<meta name="date" content="2021-05-23">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DeliveryMode";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/distributed/radio/ConfigActivity.html" title="class in com.distributed.radio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/distributed/radio/FileChooser.html" title="class in com.distributed.radio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/DeliveryMode.html" target="_top">Frames</a></li>
<li><a href="DeliveryMode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.distributed.radio</div>
<h2 title="Enum DeliveryMode" class="title">Enum DeliveryMode</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Enum&lt;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.distributed.radio.DeliveryMode</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>&gt;</dd>
</dl>
<hr>
<br>
<pre> enum <span class="typeNameLabel">DeliveryMode</span>
extends java.lang.Enum&lt;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#DATAGRAM">DATAGRAM</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#DATAGRAM_BATCH">DATAGRAM_BATCH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#ONEWAY">ONEWAY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#ONEWAY_BATCH">ONEWAY_BATCH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#ONEWAY_SECURE">ONEWAY_SECURE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#ONEWAY_SECURE_BATCH">ONEWAY_SECURE_BATCH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#TWOWAY">TWOWAY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#TWOWAY_SECURE">TWOWAY_SECURE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) com.zeroc.Ice.ObjectPrx</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#apply-com.zeroc.Ice.ObjectPrx-">apply</a></span>(com.zeroc.Ice.ObjectPrx&nbsp;prx)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#isBatch--">isBatch</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#isOneway--">isOneway</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/DeliveryMode.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
<code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="TWOWAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TWOWAY</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> TWOWAY</pre>
</li>
</ul>
<a name="TWOWAY_SECURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TWOWAY_SECURE</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> TWOWAY_SECURE</pre>
</li>
</ul>
<a name="ONEWAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ONEWAY</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> ONEWAY</pre>
</li>
</ul>
<a name="ONEWAY_BATCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ONEWAY_BATCH</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> ONEWAY_BATCH</pre>
</li>
</ul>
<a name="ONEWAY_SECURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ONEWAY_SECURE</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> ONEWAY_SECURE</pre>
</li>
</ul>
<a name="ONEWAY_SECURE_BATCH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ONEWAY_SECURE_BATCH</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> ONEWAY_SECURE_BATCH</pre>
</li>
</ul>
<a name="DATAGRAM">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATAGRAM</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> DATAGRAM</pre>
</li>
</ul>
<a name="DATAGRAM_BATCH">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DATAGRAM_BATCH</h4>
<pre>public static final&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> DATAGRAM_BATCH</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (DeliveryMode c : DeliveryMode.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no constant with the specified name</dd>
<dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="apply-com.zeroc.Ice.ObjectPrx-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>apply</h4>
<pre>com.zeroc.Ice.ObjectPrx&nbsp;apply(com.zeroc.Ice.ObjectPrx&nbsp;prx)</pre>
</li>
</ul>
<a name="isOneway--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOneway</h4>
<pre>public&nbsp;boolean&nbsp;isOneway()</pre>
</li>
</ul>
<a name="isBatch--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isBatch</h4>
<pre>public&nbsp;boolean&nbsp;isBatch()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/distributed/radio/ConfigActivity.html" title="class in com.distributed.radio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/distributed/radio/FileChooser.html" title="class in com.distributed.radio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/DeliveryMode.html" target="_top">Frames</a></li>
<li><a href="DeliveryMode.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
